contact:
  - Jan Blazek <jblazek@redhat.com>
adjust:
  - enabled: false
    when: distro == rhel-4, rhel-5, rhel-6, fedora
    continue: false
component:
  - audit
  - rpm
description: |
    Bug summary: rpm should provide audit events on update verification
    Bugzilla link: https://bugzilla.redhat.com/show_bug.cgi?id=1555326
duration: 10m
enabled: true
extra-nitrate: TC#0577407
extra-summary: /CoreOS/rpm/Sanity/bz1555326-rpm-should-provide-audit-events-on-update
extra-task: /CoreOS/rpm/Sanity/bz1555326-rpm-should-provide-audit-events-on-update
framework: beakerlib
link:
  - relates: https://bugzilla.redhat.com/show_bug.cgi?id=1555326
  - relates: https://bugzilla.redhat.com/show_bug.cgi?id=1607612
  - relates: https://bugzilla.redhat.com/show_bug.cgi?id=2001948
recommend:
  - rpm
  - rpm-build
  - audit
  - rng-tools
  - rng-utils
  - expect
  - rpm-sign
  - pinentry
  - rpm-plugin-audit
require:
  - library(yum/common-functions)
summary: Test for BZ#1555326 (rpm should provide audit events on update)
tag:
  - NoRHEL4
  - NoRHEL5
  - NoRHEL6
  - TIPfail_Security
  - Tier2pm
  - Tier3
  - TierCandidatesPASS
  - fedora-wanted
test: ./runtest.sh
tier: '3'
name: /Sanity/bz1555326-rpm-should-provide-audit-events-on-update
order: 50
id:
path: /Sanity/bz1555326-rpm-should-provide-audit-events-on-update
manual: false
tty: false
environment: {}
result: respect
where:
check: []
restart-on-exit-code: []
restart-max-count: 1
restart-with-reboot: false
sources:
  - /var/tmp/tmt/run-017/Plans/general/discover/Downstream_rpm_tests/tests/main.fmf
  - /var/tmp/tmt/run-017/Plans/general/discover/Downstream_rpm_tests/tests/Sanity/bz1555326-rpm-should-provide-audit-events-on-update/main.fmf
context: {}
